// Helpful guides:
// - https://flutter.dev/docs/cookbook/forms/validation

import 'package:flutter/material.dart';

void main() {
  runApp(const MainApp());
}

class MainApp extends StatelessWidget {
  const MainApp({super.key});

  @override
  Widget build(BuildContext context) {
    const inputWidth = 400.0;
    const inputHeight = 50.0;

    const recurrenceValues = <DropdownMenuEntry>[
      DropdownMenuEntry(value: "D", label: "Daily"),
      DropdownMenuEntry(value: "W", label: "Weekly"),
      DropdownMenuEntry(value: "B", label: "Biweekly"),
      DropdownMenuEntry(value: "M", label: "Monthly"),
      DropdownMenuEntry(value: "Y", label: "Yearly")
    ];

    var cost;

    return const MaterialApp(
      home: Scaffold(
        body: Center(
          child: Column(mainAxisSize: MainAxisSize.min, spacing: 10, children: [
            Text('Input an expense below!'),
            SizedBox(
                width: inputWidth,
                height: inputHeight,
                child: TextField(
                  keyboardType: TextInputType.text,
                  decoration: InputDecoration(hintText: "Expense Name"),
                  // https://docs.flutter.dev/cookbook/forms/retrieve-input

                )),
            SizedBox(
              width: inputWidth,
              height: inputHeight,
              child: TextField(
                keyboardType: TextInputType.numberWithOptions(decimal: true),
                decoration: InputDecoration(hintText: "Expense Cost"),
              ),
            ),
            DropdownMenu(
              dropdownMenuEntries: recurrenceValues,
              hintText: "Recurrence",
              width: inputWidth,
            ),
            SizedBox(
                width: inputWidth,
                height: inputHeight,
                child: TextField(
                  keyboardType: TextInputType.text,
                  decoration: InputDecoration(hintText: "Expense Description"),
                )),
          ]),
        ),
      ),
    );
  }
}

class Expense {
  String name;
  double cost;
  Enum recurrence;
  String description;

  Expense(this.name, this.cost, this.recurrence, this.description);
}
